Bug Hunting Session
Bug 76752 - GUI: Unknown empty toolbar "Changes" appears every time a form is opened
Summary: GUI: Unknown empty toolbar "Changes" appears every time a form is opened
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha1
Hardware: Other All
: low minor
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0 target:4.3.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-28 18:16 UTC by Robert Großkopf
Modified: 2014-06-03 08:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the empty toolbar named "Changes" (51.88 KB, image/png)
2014-03-28 18:16 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2014-03-28 18:16:12 UTC
Created attachment 96565 [details]
Shows the empty toolbar named "Changes"

Open a database.
Open a form.
With every LO-version since 4.2.0.0.alpha1+ an empty toolbar appears at the left side of the form. The toolbar has the name "Changes". You could close this toolbar - it will appear the next time again.
Last running version without this bug is 4.2.0.0.alpha0+

My system: OpenSUSE 12.3 64bit rpm Linux. Is also reported for Win 7 prof. 64 in the German mailinglist.
Comment 1 Julien Nabet 2014-03-28 20:07:27 UTC
On pc Debian x86-64 with master sources updated today I can reproduce this.

Joel: one for you? (given this:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=686ab95e97e3a432fcccc88ae30b8ad6eed1b2b4)
Comment 2 Joel Madero 2014-03-29 05:34:31 UTC
Yeah - very likely.
Comment 3 Joel Madero 2014-03-30 23:27:27 UTC
Weird - I don't see this toolbar when I got into base in either 4.2.2.1 nor master built today :-/ @Julien - this comes up with a fresh profile?
Comment 4 Robert Großkopf 2014-03-31 13:46:27 UTC
(In reply to comment #3)
> Weird - I don't see this toolbar when I got into base in either 4.2.2.1 nor
> master built today :-/ @Julien - this comes up with a fresh profile?

Just tested with a fresh profile and LO 4.2.3.2. Toolbar appears in the form. Must be a toolbar, which is also named in the translations. It's called "Änderungen" in the German GUI.
Comment 5 Julien Nabet 2014-03-31 19:26:39 UTC
Joel: I can reproduce this with a brand new profile.
You must open Database, then go to Forms part then "Create form in Design View".
You'll get Writer open a form. In this Writer window, you'll have "Changes" toolbar appear.
Comment 6 Julien Nabet 2014-05-30 23:00:19 UTC
With master sources updated today, I can reproduce this.

Joel, could you take a look at it?
Comment 7 Joel Madero 2014-05-30 23:23:03 UTC
Yeah I'm aware of it. Been really busy but ill try to figure out what's going on. Thanks for the ping
Comment 8 Commit Notification 2014-06-01 01:53:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43de2fa02bbbf364326c3452a58c600bc2cb2688

don't add the changes toolbar to the forms window, fdo#76752



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Markus Mohrhard 2014-06-01 02:08:27 UTC
Please test it in a daily build so I can backport the commit if it fixes the issue.
Comment 10 Julien Nabet 2014-06-01 08:18:19 UTC
Markus: with master sources updated today (so which include your fix), it indeed worked, I no longer see "Changes" option.
Comment 11 Commit Notification 2014-06-01 12:40:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fb4be88a85de5a39de6887dc54009c1b52e7395&h=libreoffice-4-3

don't add the changes toolbar to the forms window, fdo#76752


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-06-01 21:10:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5de2511068a1b7eea34fb10ea19b555abcd663b&h=libreoffice-4-2

don't add the changes toolbar to the forms window, fdo#76752


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-06-03 08:50:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35610714c114e7fcea09dad0e395c69b8a9bdfbe&h=libreoffice-4-2-5

don't add the changes toolbar to the forms window, fdo#76752


It will be available already in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.